IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfCurrencyRateDelete')
	BEGIN
		PRINT 'Dropping Procedure adfCurrencyRateDelete'
		DROP  Procedure  adfCurrencyRateDelete
	END

GO

PRINT 'Creating Procedure adfCurrencyRateDelete'
GO
/******************************************************************************
**		File: 
**		Name: adfCurrencyRateDelete
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfCurrencyRateDelete
	@ID TIdentifier
AS
	SET NOCOUNT ON

	DELETE [CurrencyRate] WHERE [ID] = @ID

	RETURN 0
GO

GRANT EXEC ON adfCurrencyRateDelete TO PUBLIC
GO
