IF EXISTS(SELECT 1 FROM [Calculation] 
	WHERE [Calculation].[DiscountPercent] = 1 AND [Calculation].[DiscountPC] > 0)
BEGIN
	ALTER TABLE [Calculation]
	DISABLE TRIGGER ALL	

	UPDATE [Calculation]
	SET [Calculation].[DiscountPercent] = [dbo].[fnGetCalculationDiscountPercent](
				[Calculation].[TotalWithoutDiscountAndAdvanced],
				[Calculation].[TotalWithVATWithoutDiscountAndAdvanced],
				[Calculation].[Discount],
				[Calculation].[RatesWithVAT],
				[Calculation].[DiscountType])		
	WHERE [Calculation].[DiscountPercent] = 1 AND [Calculation].[DiscountPC] > 0;

	ALTER TABLE [Calculation]
	ENABLE TRIGGER ALL	
END