﻿if exists (select * from dbo.sysobjects where id = object_id(N'[exch].[ContactLinkGet]') and objectproperty(id, N'IsProcedure') = 1)
begin
	print 'Dropping procedure ContactLinkGet'
	drop procedure [exch].[ContactLinkGet]
end
go

print 'Creating procedure ContactLinkGet'
go

create procedure [exch].[ContactLinkGet] @UserID int, @ID int with execute as 'pjmexchangesync'
as
begin
	set nocount on;

	declare @class TClass;

	set @class = dbo.adfGetClassByName('Adf.Employee');

	select
		[DocumentID],
		[ExchangeID],
		[Data],
		[SyncTime]
	from	
		[exch].[ExchangeLink]
	where
		[UserID] = @UserID
	and
		[DocumentClass] = @class
	and 
		[DocumentID] = @ID;

	return 0;
end

grant execute on [exch].[ContactLinkGet] to [projectmateservice];
go
