 IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'lmContractAddendum')
	BEGIN
		PRINT 'Dropping Procedure lmContractAddendum'
		DROP  Procedure  lmContractAddendum
	END

GO

PRINT 'Creating Procedure lmContractAddendum'
GO
/******************************************************************************
**		File: 
**		Name: lmContractAddendum
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure lmContractAddendum
AS
	SET NOCOUNT ON

	SELECT
		[ID],
		[Number] as [Code],
		[FileAs] as [Name],
		[ProjectID],
		[State]
	FROM
		[ContractAddendum]
		
	RETURN 0
GO

GRANT EXEC ON lmContractAddendum TO PUBLIC
GO
 