/*========================================================*/
/* Database View:             */
/*========================================================*/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[pjm5vwAssignCompanyManager]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[pjm5vwAssignCompanyManager]
go

create view pjm5vwAssignCompanyManager
as
	SELECT
		[Company].[Class] as [DocumentClass],
		[Company].[ID] as [DocumentID],
		dbo.adfGetClassByName('Adf.Company') as [ContainerClass],
		[Company].[ID] as [ContainerID],
		[Employee].[UserID] as [UserID],
		[Employee].[UserID] as [Value],
		[Company].[ModifiedBy] as [OwnerUserID]
	FROM
		[Company]
		LEFT OUTER JOIN [Employee]
			ON [Employee].[ID] = [Company].[ManagerEmployeeID]
	WHERE
		[Company].[State] = 1
go

/*========================================================*/
/* Database View:           */
/*========================================================*/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[pjm5vwExclusionFromCompanyManager]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[pjm5vwExclusionFromCompanyManager]
go

create view pjm5vwExclusionFromCompanyManager
as
	SELECT
		[Company].[Class] as [DocumentClass],
		[Company].[ID] as [DocumentID],
		dbo.adfGetClassByName('Adf.Company') as [ContainerClass],
		[Company].[ID] as [ContainerID],
		[Employee].[UserID] as [UserID],
		[Employee].[UserID] as [Value],
		[Company].[ModifiedBy] as [OwnerUserID]
	FROM
		[Company]
		LEFT OUTER JOIN [Employee]
			ON [Employee].[ID] = [Company].[ManagerEmployeeID]
	WHERE
		[Company].[State] = 1
go 
 