﻿IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfContactCategoryList')
	BEGIN
		PRINT 'Dropping Procedure adfContactCategoryList'
		DROP  Procedure  adfContactCategoryList
	END

GO

PRINT 'Creating Procedure adfContactCategoryList'
GO
/******************************************************************************
**		File: 
**		Name: adfContactCategoryList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: Anton.Paramonov
**		Date: 12.10.2011
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfContactCategoryList
AS
	SET NOCOUNT ON
	
	DECLARE @EmployeeClass int
	SET @EmployeeClass = dbo.adfGetClassbyName('Adf.Employee')
	
	
	SELECT
		[ID],
		[State],
		[FileAs] AS [Name],
		[Flag]
	FROM
		[Category]
	WHERE
		[DocumentClass] = @EmployeeClass
	
	RETURN 0
GO

GRANT EXEC ON adfContactCategoryList TO PUBLIC
GO
