/*==============================================================*/
/* Init Subscription Types                                      */
/*==============================================================*/
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'SendToApproveTimeEntry', N'     ',
dbo.adfGetClassByName('Pjm5.TimeEntry'), N'pjm5vwSendToApproveTimeEntry', 2)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'SendToWorkTimeEntry', N'     ',
dbo.adfGetClassByName('Pjm5.TimeEntry'), N'pjm5vwSendToWorkTimeEntry', 2)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'DenyTimeEntry', N'   ',
dbo.adfGetClassByName('Pjm5.TimeEntry'), N'pjm5vwDenyTimeEntry', 2)

insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'SendToApproveExpense', N'     ',
dbo.adfGetClassByName('Pjm5.Expense'), N'pjm5vwSendToApproveExpense', 2)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'SendToWorkExpense', N'     ',
dbo.adfGetClassByName('Pjm5.Expense'), N'pjm5vwSendToWorkExpense', 2)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'DenyExpense', N'   ',
dbo.adfGetClassByName('Pjm5.Expense'), N'pjm5vwDenyExpense', 2)

insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'OpenIssue', N' ',
dbo.adfGetClassByName('Pjm5.Issue'), N'pjm5vwOpenIssue', 3)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'ResolveIssue', N' ',
dbo.adfGetClassByName('Pjm5.Issue'), N'pjm5vwResolveIssue', 3)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'CloseIssue', N' ',
dbo.adfGetClassByName('Pjm5.Issue'), N'pjm5vwCloseIssue', 3)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [OnlyRuleOwner])
values (N'AssignOnIssue', N'  ',
dbo.adfGetClassByName('Pjm5.Issue'), N'pjm5vwAssignOnIssue', 3, 1)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [LookupDeleted], [OnlyRuleOwner])
values (N'ExclusionFromIssue', N'   ',
dbo.adfGetClassByName('Pjm5.Issue'), N'pjm5vwExclusionFromIssue', 3, 1, 1)

insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'ExecuteTask', N' ',
dbo.adfGetClassByName('Pjm5.Task'), N'pjm5vwExecuteTask', 5)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'CancelTask', N' ',
dbo.adfGetClassByName('Pjm5.Task'), N'pjm5vwCancelTask', 5)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'PostponeTask', N' ',
dbo.adfGetClassByName('Pjm5.Task'), N'pjm5vwPostponeTask', 5)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [OnlyRuleOwner])
values (N'AssignOnTask', N'  ',
dbo.adfGetClassByName('Pjm5.Task'), N'pjm5vwAssignOnTask', 5, 1)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [LookupDeleted], [OnlyRuleOwner])
values (N'ExclusionFromTask', N'   ',
dbo.adfGetClassByName('Pjm5.Task'), N'pjm5vwExclusionFromTask', 5, 1, 1)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'ChangePercentTask', N'   ',
dbo.adfGetClassByName('Pjm5.Task'), N'pjm5vwChangePercentTask', 5)

insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'CreateServiceRequest', N' ',
dbo.adfGetClassByName('Pjm5.ServiceRequest'), N'pjm5vwCreateServiceRequest', 5)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'ExecuteServiceRequest', N' ',
dbo.adfGetClassByName('Pjm5.ServiceRequest'), N'pjm5vwExecuteServiceRequest', 5)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'PostponeServiceRequest', N' ',
dbo.adfGetClassByName('Pjm5.ServiceRequest'), N'pjm5vwPostponeServiceRequest', 5)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [OnlyRuleOwner])
values (N'AssignOnServiceRequest', N'  ',
dbo.adfGetClassByName('Pjm5.ServiceRequest'), N'pjm5vwAssignOnServiceRequest', 5, 1)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'CancelServiceRequest', N' ',
dbo.adfGetClassByName('Pjm5.ServiceRequest'), N'pjm5vwCancelServiceRequest', 5)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'ApproveServiceRequest', N' ',
dbo.adfGetClassByName('Pjm5.ServiceRequest'), N'pjm5vwApproveServiceRequest', 5)

insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'CreateTaskRequest', N' ',
dbo.adfGetClassByName('Pjm5.TaskRequest'), N'pjm5vwCreateTaskRequest', 5)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'ExecuteTaskRequest', N' ',
dbo.adfGetClassByName('Pjm5.TaskRequest'), N'pjm5vwExecuteTaskRequest', 5)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [OnlyRuleOwner])
values (N'AssignOnTaskRequest', N'  ',
dbo.adfGetClassByName('Pjm5.TaskRequest'), N'pjm5vwAssignOnTaskRequest', 5, 1)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval])
values (N'CancelTaskRequest', N' ',
dbo.adfGetClassByName('Pjm5.TaskRequest'), N'pjm5vwCancelTaskRequest', 5)
go

/*==============================================================*/
/* Init Notification Message Templates                          */
/*==============================================================*/
DECLARE @recID int
/* TimeEntry */
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('SendToApproveTimeEntry'), 1,
N'   "{$FILEAS}"   ', null,
N'   {$COUNT}   ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Time entry "{$FILEAS}" has been published', null,
N'{$COUNT} time entries have been published', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('SendToApproveTimeEntry'), 2,
N'   "{$FILEAS}"   ', null,
N'   {$COUNT}   ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Time entry "{$FILEAS}" has been published', null,
N'{$COUNT} time entries have been published', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('SendToWorkTimeEntry'), 1,
N'   "{$FILEAS}"   ', null,
N'{$COUNT}      ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Time entry "{$FILEAS}" has required modification', null,
N'{$COUNT} time entries have required modification', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('SendToWorkTimeEntry'), 2,
N'   "{$FILEAS}"   ', null,
N'{$COUNT}      ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Time entry "{$FILEAS}" has required modification', null,
N'{$COUNT} time entries have required modification', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('DenyTimeEntry'), 1,
N'   "{$FILEAS}" ', null,
N' {$COUNT}   ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Time entry "{$FILEAS}" has been rejected', null,
N'{$COUNT} time entries have been rejected', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('DenyTimeEntry'), 2,
N'   "{$FILEAS}" ', null,
N' {$COUNT}   ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Time entry "{$FILEAS}" has been rejected', null,
N'{$COUNT} time entries have been rejected', null)

/* Expense */
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('SendToApproveExpense'), 1,
N'   "{$FILEAS}"   ', null,
N'   {$COUNT}   ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Expense "{$FILEAS}" has been published', null,
N'{$COUNT} expenses have been published', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('SendToApproveExpense'), 2,
N'   "{$FILEAS}"   ', null,
N'   {$COUNT}   ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Expense "{$FILEAS}" has been published', null,
N'{$COUNT} expenses have been published', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('SendToWorkExpense'), 1,
N'   "{$FILEAS}"   ', null,
N'{$COUNT}      ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Expense "{$FILEAS}" has required modification', null,
N'{$COUNT} expenses have required modification', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('SendToWorkExpense'), 2,
N'   "{$FILEAS}"   ', null,
N'{$COUNT}      ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Expense "{$FILEAS}" has required modification', null,
N'{$COUNT} expenses have required modification', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('DenyExpense'), 1,
N'   "{$FILEAS}" ', null,
N' {$COUNT}   ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Expense "{$FILEAS}" has been rejected', null,
N'{$COUNT} expenses have been rejected', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('DenyExpense'), 2,
N'   "{$FILEAS}" ', null,
N' {$COUNT}   ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Expense "{$FILEAS}" has been rejected', null,
N'{$COUNT} expenses have been rejected', null)

/* Issue */
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('OpenIssue'), 1,
N'  "{$FILEAS}"', null,
N' {$COUNT} ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Issue "{$FILEAS}" has been opened', null,
N'{$COUNT} issues have been opened', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('OpenIssue'), 2,
N'  "{$FILEAS}"', null,
N' {$COUNT} ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Issue "{$FILEAS}" has been opened', null,
N'{$COUNT} issues have been opened', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ResolveIssue'), 1,
N'  "{$FILEAS}"', null,
N' {$COUNT} ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Issue "{$FILEAS}" has been resolved', null,
N'{$COUNT} issues have been resolved', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ResolveIssue'), 2,
N'  "{$FILEAS}"', null,
N' {$COUNT} ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Issue "{$FILEAS}" has been resolved', null,
N'{$COUNT} issues have been resolved', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CloseIssue'), 1,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Issue "{$FILEAS}" has been closed', null,
N'{$COUNT} issues have been closed', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CloseIssue'), 2,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'Issue "{$FILEAS}" has been closed', null,
N'{$COUNT} issues have been closed', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignOnIssue'), 1,
N'    "{$FILEAS}"', null,
N'   {$COUNT} ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'You have been assigned on "{$FILEAS}" issue', null,
N'You have been assigned on {$COUNT} issues', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignOnIssue'), 2,
N'    "{$FILEAS}"', null,
N'   {$COUNT} ', null)
SET @recID = SCOPE_IDENTITY()
insert into [NotificationMessageTemplateGlobal] ([ID], [Language],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (@recID, 'en',
N'You have been assigned on "{$FILEAS}" issue', null,
N'You have been assigned on {$COUNT} issues', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromIssue'), 1,
N'     "{$FILEAS}"', null,
N'    {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromIssue'), 2,
N'     "{$FILEAS}"', null,
N'    {$COUNT} ', null)

/* Task */
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExecuteTask'), 1,
N'   "{$FILEAS}"', null,
N'  {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExecuteTask'), 2,
N'   "{$FILEAS}"', null,
N'  {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CancelTask'), 1,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CancelTask'), 2,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('PostponeTask'), 1,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('PostponeTask'), 2,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignOnTask'), 1,
N'    "{$FILEAS}"', null,
N'    {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignOnTask'), 2,
N'    "{$FILEAS}"', null,
N'    {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromTask'), 1,
N'     "{$FILEAS}"', null,
N'     {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromTask'), 2,
N'     "{$FILEAS}"', null,
N'     {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ChangePercentTask'), 1,
N'  "{$FILEAS}"   ', null,
N'    {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ChangePercentTask'), 2,
N'  "{$FILEAS}"   ', null,
N'    {$COUNT} ', null)

/* ServiceRequest */
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CreateServiceRequest'), 1,
N'  {$NUMBER}', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CreateServiceRequest'), 2,
N'  {$NUMBER}', null,
N' {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExecuteServiceRequest'), 1,
N' {$NUMBER} ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExecuteServiceRequest'), 2,
N' {$NUMBER} ', null,
N' {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('PostponeServiceRequest'), 1,
N' {$NUMBER} ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('PostponeServiceRequest'), 2,
N' {$NUMBER} ', null,
N' {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignOnServiceRequest'), 1,
N'    {$NUMBER}', null,
N'    {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignOnServiceRequest'), 2,
N'    {$NUMBER}', null,
N'    {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CancelServiceRequest'), 1,
N' {$NUMBER} ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CancelServiceRequest'), 2,
N' {$NUMBER} ', null,
N' {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ApproveServiceRequest'), 1,
N'  {$NUMBER} ', null,
N'  {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ApproveServiceRequest'), 2,
N'  {$NUMBER} ', null,
N'  {$COUNT} ', null)

/* TaskRequest */
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CreateTaskRequest'), 1,
N'  "{$FILEAS}"', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CreateTaskRequest'), 2,
N'  "{$FILEAS}"', null,
N' {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExecuteTaskRequest'), 1,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExecuteTaskRequest'), 2,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignOnTaskRequest'), 1,
N'    "{$FILEAS}"', null,
N'    {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignOnTaskRequest'), 2,
N'    "{$FILEAS}"', null,
N'    {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CancelTaskRequest'), 1,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CancelTaskRequest'), 2,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)
go 

/*==============================================================*/
/* Init Reminders                                               */
/*==============================================================*/
insert into [ReminderType] ([Class], [Subtype], [Name], [View], [DefaultState], [DefaultInterval], [IsTimeFormat])
values (dbo.adfGetClassByName('Pjm5.TimeEntry'), 'ES', '    ', 'pjm5vwReminderTimeEntry', 1, 15, 0)
insert into [ReminderType] ([Class], [Subtype], [Name], [View], [DefaultState], [DefaultInterval], [IsTimeFormat])
values (dbo.adfGetClassByName('Pjm5.Issue'), 'ID', '  ', 'pjm5vwReminderIssue', 1, 60, 0)
insert into [ReminderType] ([Class], [Subtype], [Name], [View], [DefaultState], [DefaultInterval], [IsTimeFormat])
values (dbo.adfGetClassByName('Pjm5.Task'), 'TD', '  ', 'pjm5vwReminderTaskTD', 1, -600, 1)
insert into [ReminderType] ([Class], [Subtype], [Name], [View], [DefaultState], [DefaultInterval], [IsTimeFormat])
values (dbo.adfGetClassByName('Pjm5.ServiceRequest'), 'SD', '  ', 'pjm5vwReminderServiceRequest', 1, 60, 0)
insert into [ReminderType] ([Class], [Subtype], [Name], [View], [DefaultState], [DefaultInterval], [IsTimeFormat])
values (dbo.adfGetClassByName('Pjm5.TaskRequest'), 'RD', '  ', 'pjm5vwReminderTaskRequestRD', 1, 60, 0)
insert into [ReminderType] ([Class], [Subtype], [Name], [View], [DefaultState], [DefaultInterval], [IsTimeFormat])
values (dbo.adfGetClassByName('Pjm5.MeetingRequest'), 'MS', ' ', 'pjm5vwReminderMeetingRequest', 1, 15, 0)
insert into [ReminderType] ([Class], [Subtype], [Name], [View], [DefaultState], [DefaultInterval], [IsTimeFormat])
values (dbo.adfGetClassByName('Pjm6.Budget'), 'BC', ' ', 'pjm6vwReminderBudgetBC', 1, -600, 1)
insert into [ReminderType] ([Class], [Subtype], [Name], [View], [DefaultState], [DefaultInterval], [IsTimeFormat])
values (NULL, 'UR', ' ', NULL, 1, -600, 1)
insert into [ReminderType] ([Class], [Subtype], [Name], [View], [DefaultState], [DefaultInterval], [IsTimeFormat])
values (dbo.adfGetClassByName('Adf.Employee'), 'CB', '  ', NULL, 1, -600, 1)
go

/*==============================================================*/
/* Init Subscriptions Type                                      */
/*==============================================================*/
update [SubscriptionType] set [OnlyRuleOwner] = 1
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('SendToWorkTimeEntry')
update [SubscriptionType] set [OnlyRuleOwner] = 1
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('DenyTimeEntry')

update [SubscriptionType] set [OnlyRuleOwner] = 1
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('SendToWorkExpense')
update [SubscriptionType] set [OnlyRuleOwner] = 1
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('DenyExpense')

update [SubscriptionType] set [OnlyRuleOwner] = 1
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('PostponeServiceRequest')
update [SubscriptionType] set [OnlyRuleOwner] = 1
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('CancelServiceRequest')
update [SubscriptionType] set [OnlyRuleOwner] = 1
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('ApproveServiceRequest')
go

/* Project */
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [OnlyRuleOwner])
values (N'AssignProjectManager', N'   ',
dbo.adfGetClassByName('Pjm5.Project'), N'pjm5vwAssignProjectManager', 5, 0, 0)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [LookupDeleted], [OnlyRuleOwner])
values (N'ExclusionFromProjectManager', N'    ',
dbo.adfGetClassByName('Pjm5.Project'), N'pjm5vwExclusionFromProjectManager', 5, 0, 1, 0)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [OnlyRuleOwner])
values (N'AssignOnProject', N'   ',
dbo.adfGetClassByName('Pjm5.Project'), N'pjm5vwAssignOnProject', 5, 0, 1)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [LookupDeleted], [OnlyRuleOwner])
values (N'ExclusionFromProject', N'    ',
dbo.adfGetClassByName('Pjm5.Project'), N'pjm5vwExclusionFromProject', 5, 0, 1, 1)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [OnlyRuleOwner])
values (N'StopProject', N'   ',
dbo.adfGetClassByName('Pjm5.Project'), N'pjm5vwStopProject', 5, 1)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [OnlyRuleOwner])
values (N'OpenProject', N' ',
dbo.adfGetClassByName('Pjm5.Project'), N'pjm5vwOpenProject', 5, 1)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [OnlyRuleOwner])
values (N'CloseProject', N' ',
dbo.adfGetClassByName('Pjm5.Project'), N'pjm5vwCloseProject', 5, 1)

/*==============================================================*/
/* Init Notification Message Templates                          */
/*==============================================================*/
/* Project */
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignProjectManager'), 1,
N'    "{$NUMBER}"', null, null, null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignProjectManager'), 2,
N'    "{$NUMBER}"', null, null, null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromProjectManager'), 1,
N'     "{$NUMBER}"', null, null, null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromProjectManager'), 2,
N'     "{$NUMBER}"', null, null, null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignOnProject'), 1,
N'    "{$NUMBER}"', null, null, null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignOnProject'), 2,
N'    "{$NUMBER}"', null, null, null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromProject'), 1,
N'    "{$NUMBER}"', null, null, null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromProject'), 2,
N'    "{$NUMBER}"', null, null, null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('StopProject'), 1,
N'   "{$NUMBER}" ', null,
N'   {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('StopProject'), 2,
N'   "{$NUMBER}" ', null,
N'   {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('OpenProject'), 1,
N'    "{$NUMBER}"', null,
N'   {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('OpenProject'), 2,
N'    "{$NUMBER}"', null,
N'   {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CloseProject'), 1,
N' "{$NUMBER}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CloseProject'), 2,
N' "{$NUMBER}" ', null,
N' {$COUNT} ', null)
go

/* TimeEntry */
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('SendToApproveTimeEntry'),
dbo.adfGetRightID('AuthorJournalEntry'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('SendToWorkTimeEntry'),
dbo.adfGetRightID('AuthorJournalEntry'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('DenyTimeEntry'),
dbo.adfGetRightID('AuthorJournalEntry'))

/* Expense */
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('SendToApproveExpense'),
dbo.adfGetRightID('AuthorExpenseEntry'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('SendToWorkExpense'),
dbo.adfGetRightID('AuthorExpenseEntry'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('DenyExpense'),
dbo.adfGetRightID('AuthorExpenseEntry'))

/* Issue */
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('OpenIssue'),
dbo.adfGetRightID('ManageIssues'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ResolveIssue'),
dbo.adfGetRightID('ManageIssues'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CloseIssue'),
dbo.adfGetRightID('ManageIssues'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignOnIssue'),
dbo.adfGetRightID('ResolveIssue'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromIssue'),
dbo.adfGetRightID('ResolveIssue'))

/* Task */
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExecuteTask'),
dbo.adfGetRightID('AuthorTask'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CancelTask'),
dbo.adfGetRightID('AuthorTask'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('PostponeTask'),
dbo.adfGetRightID('AuthorTask'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignOnTask'),
dbo.adfGetRightID('AuthorTask'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromTask'),
dbo.adfGetRightID('AuthorTask'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ChangePercentTask'),
dbo.adfGetRightID('ManageTasks'))

/* ServiceRequest */
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CreateServiceRequest'),
dbo.adfGetRightID('AssignmentServiceRequest'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExecuteServiceRequest'),
dbo.adfGetRightID('ManageServiceRequest'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('PostponeServiceRequest'),
dbo.adfGetRightID('AuthorServiceRequest'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignOnServiceRequest'),
dbo.adfGetRightID('AuthorServiceRequest'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CancelServiceRequest'),
dbo.adfGetRightID('AuthorServiceRequest'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ApproveServiceRequest'),
dbo.adfGetRightID('ManageServiceRequest'))

/* TaskRequest */
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CreateTaskRequest'),
dbo.adfGetRightID('ManageTaskRequest'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExecuteTaskRequest'),
dbo.adfGetRightID('ManageTaskRequest'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignOnTaskRequest'),
dbo.adfGetRightID('ManageTaskRequest'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CancelTaskRequest'),
dbo.adfGetRightID('ManageTaskRequest'))

/* Project */
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignProjectManager'),
dbo.adfGetRightID('ManageProject'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromProjectManager'),
dbo.adfGetRightID('ManageProject'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignOnProject'),
dbo.adfGetRightID('AuthorJournalEntry'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromProject'),
dbo.adfGetRightID('AuthorJournalEntry'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('StopProject'),
dbo.adfGetRightID('AuthorJournalEntry'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('OpenProject'),
dbo.adfGetRightID('AuthorJournalEntry'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CloseProject'),
dbo.adfGetRightID('AuthorJournalEntry'))
go

/*==============================================================*/
/* Init Reminders                                               */
/*==============================================================*/
insert into [ReminderType] ([Class], [Subtype], [Name], [View], [DefaultState], [DefaultInterval], [IsTimeFormat])
values (dbo.adfGetClassByName('Pjm5.Invoice'), 'VA', '  ', 'pjm5vwReminderInvoiceVA', 1, -600, 1)
insert into [ReminderType] ([Class], [Subtype], [Name], [View], [DefaultState], [DefaultInterval], [IsTimeFormat])
values (dbo.adfGetClassByName('Pjm5.Invoice'), 'VP', '  ', 'pjm5vwReminderInvoiceVP', 1, -600, 1)
insert into [ReminderType] ([Class], [Subtype], [Name], [View], [DefaultState], [DefaultInterval], [IsTimeFormat])
values (dbo.adfGetClassByName('Pjm5.Statement'), 'MD', '  ', 'pjm5vwReminderStatement', 1, -600, 1)
go

update [SubscriptionType] set [RecipientView] = 'pjm5vwRecipientCancelTask'
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('CancelTask')
update [SubscriptionType] set [RecipientView] = 'pjm5vwRecipientExecuteTask'
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('ExecuteTask')
update [SubscriptionType] set [RecipientView] = 'pjm5vwRecipientPostponeTask'
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('PostponeTask')
update [SubscriptionType] set [RecipientView] = 'pjm5vwRecipientCancelTaskRequest'
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('CancelTaskRequest')
update [SubscriptionType] set [RecipientView] = 'pjm5vwRecipientSendToApproveTimeEntry'
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('SendToApproveTimeEntry')
update [SubscriptionType] set [RecipientView] = 'pjm5vwRecipientSendToApproveExpense'
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('SendToApproveExpense')
update [SubscriptionType] set [RecipientView] = 'pjm5vwRecipientStopProject'
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('StopProject')
update [SubscriptionType] set [RecipientView] = 'pjm5vwRecipientOpenProject'
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('OpenProject')
update [SubscriptionType] set [RecipientView] = 'pjm5vwRecipientCloseProject'
where [ID] = dbo.fnPjm5GetSubscriptionTypeByCode('CloseProject')
go

/* Invoice */
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [OnlyRuleOwner])
values (N'AdvanceInvoice', N' ',
dbo.adfGetClassByName('Pjm5.Invoice'), N'pjm5vwAdvanceInvoice', 5, 1, 0)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [OnlyRuleOwner])
values (N'PaidInvoice', N' ',
dbo.adfGetClassByName('Pjm5.Invoice'), N'pjm5vwPaidInvoice', 5, 1, 0)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [OnlyRuleOwner])
values (N'CancelInvoice', N' ',
dbo.adfGetClassByName('Pjm5.Invoice'), N'pjm5vwCancelInvoice', 5, 1, 0)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [OnlyRuleOwner])
values (N'RevisionInvoice', N'   ',
dbo.adfGetClassByName('Pjm5.Invoice'), N'pjm5vwRevisionInvoice', 5, 1, 0)

/* Statement */
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [OnlyRuleOwner])
values (N'AcceptStatement', N' ',
dbo.adfGetClassByName('Pjm5.Statement'), N'pjm5vwAcceptStatement', 5, 1, 0)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [OnlyRuleOwner])
values (N'CancelStatement', N' ',
dbo.adfGetClassByName('Pjm5.Statement'), N'pjm5vwCancelStatement', 5, 1, 0)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [OnlyRuleOwner])
values (N'RevisionStatement', N'   ',
dbo.adfGetClassByName('Pjm5.Statement'), N'pjm5vwRevisionStatement', 5, 1, 0)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [OnlyRuleOwner])
values (N'SignStatement', N' ',
dbo.adfGetClassByName('Pjm5.Statement'), N'pjm5vwSignStatement', 5, 1, 0)
go

/*==============================================================*/
/* Init Notification Message Templates                          */
/*==============================================================*/
/* Invoice */
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AdvanceInvoice'), 1,
N' "{$NUMBER}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AdvanceInvoice'), 2,
N' "{$NUMBER}" ', null,
N' {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('PaidInvoice'), 1,
N' "{$NUMBER}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('PaidInvoice'), 2,
N' "{$NUMBER}" ', null,
N' {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CancelInvoice'), 1,
N' "{$NUMBER}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CancelInvoice'), 2,
N' "{$NUMBER}" ', null,
N' {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('RevisionInvoice'), 1,
N' "{$NUMBER}"   ', null,
N'   {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('RevisionInvoice'), 2,
N' "{$NUMBER}"   ', null,
N'   {$COUNT} ', null)

/* Statement */
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AcceptStatement'), 1,
N' "{$NUMBER}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AcceptStatement'), 2,
N' "{$NUMBER}" ', null,
N' {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('SignStatement'), 1,
N' "{$NUMBER}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('SignStatement'), 2,
N' "{$NUMBER}" ', null,
N' {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CancelStatement'), 1,
N' "{$NUMBER}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CancelStatement'), 2,
N' "{$NUMBER}" ', null,
N' {$COUNT} ', null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('RevisionStatement'), 1,
N' "{$NUMBER}"   ', null,
N'   {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('RevisionStatement'), 2,
N' "{$NUMBER}"   ', null,
N'   {$COUNT} ', null)
go

/* Invoice */
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AdvanceInvoice'),
dbo.adfGetRightID('ManageInvoices'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('PaidInvoice'),
dbo.adfGetRightID('ManageInvoices'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CancelInvoice'),
dbo.adfGetRightID('ManageInvoices'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('RevisionInvoice'),
dbo.adfGetRightID('ManageInvoices'))

/* Statement */
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AcceptStatement'),
dbo.adfGetRightID('ManageStatements'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CancelStatement'),
dbo.adfGetRightID('ManageStatements'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('RevisionStatement'),
dbo.adfGetRightID('ManageStatements'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('SignStatement'),
dbo.adfGetRightID('ManageStatements'))
go

/* Task */
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [OnlyRuleOwner])
values (N'CreateTask', N' ',
dbo.adfGetClassByName('Pjm5.Task'), N'pjm5vwCreateTask', 5, 1, 0)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CreateTask'), 1,
N'  "{$FILEAS}"', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CreateTask'), 2,
N'  "{$FILEAS}"', null,
N' {$COUNT} ', null)

insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('CreateTask'),
dbo.adfGetRightID('ManageTasks'))

/* TaskRequest */
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [LookupDeleted], [OnlyRuleOwner])
values (N'ExclusionFromTaskRequest', N'   ',
dbo.adfGetClassByName('Pjm5.TaskRequest'), N'pjm5vwExclusionFromTaskRequest', 5, 0, 1, 0)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromTaskRequest'), 1,
N'     "{$FILEAS}"', null, null, null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromTaskRequest'), 2,
N'     "{$FILEAS}"', null, null, null)

insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromTaskRequest'),
dbo.adfGetRightID('ManageTaskRequest'))

/* ServiceRequest */
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [LookupDeleted], [OnlyRuleOwner])
values (N'ExclusionFromServiceRequest', N'   ',
dbo.adfGetClassByName('Pjm5.ServiceRequest'), N'pjm5vwExclusionFromServiceRequest', 5, 0, 1, 0)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromServiceRequest'), 1,
N'     {$NUMBER}', null, null, null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromServiceRequest'), 2,
N'     {$NUMBER}', null, null, null)

insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromServiceRequest'),
dbo.adfGetRightID('AuthorServiceRequest'))
go

/* Company */
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [OnlyRuleOwner])
values (N'AssignCompanyManager', N'  ',
dbo.adfGetClassByName('Adf.Company'), N'pjm5vwAssignCompanyManager', 5, 0, 0)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [Aggregatable], [LookupDeleted], [OnlyRuleOwner])
values (N'ExclusionFromCompanyManager', N'   ',
dbo.adfGetClassByName('Adf.Company'), N'pjm5vwExclusionFromCompanyManager', 5, 0, 1, 0)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignCompanyManager'), 1,
N'    "{$FILEAS}"', null, null, null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignCompanyManager'), 2,
N'    "{$FILEAS}"', null, null, null)

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromCompanyManager'), 1,
N'     "{$FILEAS}"', null, null, null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromCompanyManager'), 2,
N'     "{$FILEAS}"', null, null, null)

insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('AssignCompanyManager'),
dbo.adfGetRightID('ManageCompanies'))
insert into [SubscriptionTypeRight] ([SubscriptionTypeID], [RightID])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExclusionFromCompanyManager'),
dbo.adfGetRightID('ManageCompanies'))
go

insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [ExternalInitiator])
values (N'ExternalOpenIssue', N'    ',
dbo.adfGetClassByName('Pjm5.Issue'), N'pjm5vwExternalOpenIssue', 5, 1)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [ExternalInitiator])
values (N'ExternalResolveIssue', N'    ',
dbo.adfGetClassByName('Pjm5.Issue'), N'pjm5vwExternalResolveIssue', 5, 1)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [ExternalInitiator])
values (N'ExternalPostponeIssue', N'     ',
dbo.adfGetClassByName('Pjm5.Issue'), N'pjm5vwExternalPostponeIssue', 5, 1)
insert into [SubscriptionType] ([Code], [FileAs], [DocumentClass], [DatabaseView], [Interval], [ExternalInitiator])
values (N'ExternalCloseIssue', N'    ',
dbo.adfGetClassByName('Pjm5.Issue'), N'pjm5vwExternalCloseIssue', 5, 1)
go

insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExternalOpenIssue'), 1,
N'  "{$FILEAS}"', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExternalOpenIssue'), 2,
N'  "{$FILEAS}"', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExternalResolveIssue'), 1,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExternalResolveIssue'), 2,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExternalPostponeIssue'), 1,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExternalPostponeIssue'), 2,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExternalCloseIssue'), 1,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)
insert into [NotificationMessageTemplate] ([SubscriptionTypeID], [NotificationWayID],
[SimpleMessageTheme], [SimpleMessageBody], [AggregatedMessageTheme], [AggregatedMessageBody])
values (dbo.fnPjm5GetSubscriptionTypeByCode('ExternalCloseIssue'), 2,
N' "{$FILEAS}" ', null,
N' {$COUNT} ', null)
go

/*====================================================================*/
/* Function:        */
/*====================================================================*/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fnPjm5GetSubscriptionTypeByCode]') and xtype in (N'FN', N'IF', N'TF'))
drop function [dbo].[fnPjm5GetSubscriptionTypeByCode]
go

create function fnPjm5GetSubscriptionTypeByCode (@name TCode)
returns TIdentifier
as
begin
	DECLARE @ID TIdentifier
	SELECT @ID = [ID] FROM [SubscriptionType] WHERE [Code] = @name
	RETURN @ID
end
go

grant execute on [dbo].[fnPjm5GetSubscriptionTypeByCode] to [public]
go

/* NotificationWay on English */
IF EXISTS (SELECT * FROM [NotificationWayGlobal]
	WHERE [ID] = 1 AND [Language] = 'en')
BEGIN
	UPDATE [NotificationWayGlobal] SET [FileAs] = N'Desktop'
	WHERE [ID] = 1 AND [Language] = 'en'
END
ELSE
BEGIN
	INSERT INTO [NotificationWayGlobal] ([ID], [Language], [FileAs])
	VALUES (1, 'en', N'Desktop')
END

IF EXISTS (SELECT * FROM [NotificationWayGlobal]
	WHERE [ID] = 2 AND [Language] = 'en')
BEGIN
	UPDATE [NotificationWayGlobal] SET [FileAs] = N'Email'
	WHERE [ID] = 2 AND [Language] = 'en'
END
ELSE
BEGIN
	INSERT INTO [NotificationWayGlobal] ([ID], [Language], [FileAs])
	VALUES (2, 'en', N'Email')
END
go

/* NotificationTemplateToken on English */
IF EXISTS (SELECT * FROM [NotificationMessageTemplateTokenGlobal]
	WHERE [ID] = 1 AND [Language] = 'en')
BEGIN
	UPDATE [NotificationMessageTemplateTokenGlobal] SET [FileAs] = N'Document name'
	WHERE [ID] = 1 AND [Language] = 'en'
END
ELSE
BEGIN
	INSERT INTO [NotificationMessageTemplateTokenGlobal] ([ID], [Language], [FileAs])
	VALUES (1, 'en', N'Document name')
END

IF EXISTS (SELECT * FROM [NotificationMessageTemplateTokenGlobal]
	WHERE [ID] = 2 AND [Language] = 'en')
BEGIN
	UPDATE [NotificationMessageTemplateTokenGlobal] SET [FileAs] = N'Document number'
	WHERE [ID] = 2 AND [Language] = 'en'
END
ELSE
BEGIN
	INSERT INTO [NotificationMessageTemplateTokenGlobal] ([ID], [Language], [FileAs])
	VALUES (2, 'en', N'Document number')
END

IF EXISTS (SELECT * FROM [NotificationMessageTemplateTokenGlobal]
	WHERE [ID] = 3 AND [Language] = 'en')
BEGIN
	UPDATE [NotificationMessageTemplateTokenGlobal] SET [FileAs] = N'Document amount'
	WHERE [ID] = 3 AND [Language] = 'en'
END
ELSE
BEGIN
	INSERT INTO [NotificationMessageTemplateTokenGlobal] ([ID], [Language], [FileAs])
	VALUES (3, 'en', N'Document amount')
END

/*================================================================================*/
/* Procedure:        */
/*================================================================================*/
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pjm5UpdateSubscriptionTypeGlobal]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure pjm5UpdateSubscriptionTypeGlobal'
		DROP PROCEDURE [dbo].[pjm5UpdateSubscriptionTypeGlobal]
	END
GO

PRINT 'Creating procedure pjm5UpdateSubscriptionTypeGlobal'
GO

CREATE PROCEDURE [pjm5UpdateSubscriptionTypeGlobal]
	@SubscriptionCode TCode,
	@FileAs TName
AS
	DECLARE @TypeID TIdentifier
	SET @TypeID = dbo.fnPjm5GetSubscriptionTypeByCode(@SubscriptionCode)
	IF @TypeID IS NOT NULL
	BEGIN
		IF EXISTS (SELECT * FROM [SubscriptionTypeGlobal]
			WHERE [ID] = @TypeID AND [Language] = 'en')
		BEGIN
			UPDATE [SubscriptionTypeGlobal]	SET [FileAs] = @FileAs
			WHERE [ID] = @TypeID AND [Language] = 'en'
			IF @@ERROR != 0
			BEGIN
				RETURN 1
			END
		END
		ELSE
		BEGIN
			INSERT INTO [SubscriptionTypeGlobal] ([ID], [Language], [FileAs])
			VALUES (@TypeID, 'en', @FileAs)
			IF @@ERROR != 0
			BEGIN
				RETURN 1
			END
		END
	END
	RETURN 0
go

/* SubscriptionType for TimeEntry */
exec pjm5UpdateSubscriptionTypeGlobal 'SendToApproveTimeEntry',
	N'Time record sending for approval'
exec pjm5UpdateSubscriptionTypeGlobal 'SendToWorkTimeEntry',
	N'Time record return for improvement'
exec pjm5UpdateSubscriptionTypeGlobal 'DenyTimeEntry',
	N'Time record decline'

/* SubscriptionType for Expense */
exec pjm5UpdateSubscriptionTypeGlobal 'SendToApproveExpense',
	N'Expense record sending for approval'
exec pjm5UpdateSubscriptionTypeGlobal 'SendToWorkExpense',
	N'Expense record return for improvement'
exec pjm5UpdateSubscriptionTypeGlobal 'DenyExpense',
	N'Expense record decline'

/* SubscriptionType for Issue */
exec pjm5UpdateSubscriptionTypeGlobal 'OpenIssue',
	N'Request opening'
exec pjm5UpdateSubscriptionTypeGlobal 'ResolveIssue',
	N'Performance of a request'
exec pjm5UpdateSubscriptionTypeGlobal 'CloseIssue',
	N'Request closing'
exec pjm5UpdateSubscriptionTypeGlobal 'AssignOnIssue',
	N'Request assignment'
exec pjm5UpdateSubscriptionTypeGlobal 'ExclusionFromIssue',
	N'Request assignment change'

/* SubscriptionType for Task */
exec pjm5UpdateSubscriptionTypeGlobal 'ExecuteTask',
	N'Task performance starting'
exec pjm5UpdateSubscriptionTypeGlobal 'CancelTask',
	N'Task canceling'
exec pjm5UpdateSubscriptionTypeGlobal 'PostponeTask',
	N'Task suspending'
exec pjm5UpdateSubscriptionTypeGlobal 'AssignOnTask',
	N'Task assignment'
exec pjm5UpdateSubscriptionTypeGlobal 'ExclusionFromTask',
	N'Task exclusion'
exec pjm5UpdateSubscriptionTypeGlobal 'ChangePercentTask',
	N'Change percentage of task performance'

/* SubscriptionType for ServiceRequest */
exec pjm5UpdateSubscriptionTypeGlobal 'CreateServiceRequest',
	N'Order creating'
exec pjm5UpdateSubscriptionTypeGlobal 'ExecuteServiceRequest',
	N'Performance of an order'
exec pjm5UpdateSubscriptionTypeGlobal 'PostponeServiceRequest',
	N'Order suspending'
exec pjm5UpdateSubscriptionTypeGlobal 'AssignOnServiceRequest',
	N'Order assignment'
exec pjm5UpdateSubscriptionTypeGlobal 'CancelServiceRequest',
	N'Order canceling'
exec pjm5UpdateSubscriptionTypeGlobal 'ApproveServiceRequest',
	N'Order approving'

/* SubscriptionType for TaskRequest */
exec pjm5UpdateSubscriptionTypeGlobal 'CreateTaskRequest',
	N'Action creating'
exec pjm5UpdateSubscriptionTypeGlobal 'ExecuteTaskRequest',
	N'Performance of an action'
exec pjm5UpdateSubscriptionTypeGlobal 'CancelTaskRequest',
	N'Action canceling'
exec pjm5UpdateSubscriptionTypeGlobal 'AssignOnTaskRequest',
	N'Action assignment'

/* SubscriptionType for Project */
exec pjm5UpdateSubscriptionTypeGlobal 'AssignProjectManager',
	N'Project manager assignment'
exec pjm5UpdateSubscriptionTypeGlobal 'ExclusionFromProjectManager',
	N'Project manager exclusion'
exec pjm5UpdateSubscriptionTypeGlobal 'AssignOnProject',
	N'Project assignment'
exec pjm5UpdateSubscriptionTypeGlobal 'ExclusionFromProject',
	N'Project exclusion'
exec pjm5UpdateSubscriptionTypeGlobal 'StopProject',
	N'Project suspending'
exec pjm5UpdateSubscriptionTypeGlobal 'OpenProject',
	N'Project starting'
exec pjm5UpdateSubscriptionTypeGlobal 'CloseProject',
	N'Project completion'

/* SubscriptionType for Invoice */
exec pjm5UpdateSubscriptionTypeGlobal 'AdvanceInvoice',
	N'Invoice issue'
exec pjm5UpdateSubscriptionTypeGlobal 'PaidInvoice',
	N'Invoice payment'
exec pjm5UpdateSubscriptionTypeGlobal 'CancelInvoice',
	N'Invoice canceling'
exec pjm5UpdateSubscriptionTypeGlobal 'RevisionInvoice',
	N'Invoice return for updating'

/* SubscriptionType for Statement */
exec pjm5UpdateSubscriptionTypeGlobal 'AcceptStatement',
	N'Act approving'
exec pjm5UpdateSubscriptionTypeGlobal 'CancelStatement',
	N'Act canceling'
exec pjm5UpdateSubscriptionTypeGlobal 'RevisionStatement',
	N'Act return for updating'
exec pjm5UpdateSubscriptionTypeGlobal 'SignStatement',
	N'Act signing'

/* SubscriptionType for Task */
exec pjm5UpdateSubscriptionTypeGlobal 'CreateTask',
	N'Task creating'

/* SubscriptionType for TaskRequest */
exec pjm5UpdateSubscriptionTypeGlobal 'ExclusionFromTaskRequest',
	N'Action exclusion'

/* SubscriptionType for ServiceRequest */
exec pjm5UpdateSubscriptionTypeGlobal 'ExclusionFromServiceRequest',
	N'Order exclusion'

/* SubscriptionType for ServiceRequest */
exec pjm5UpdateSubscriptionTypeGlobal 'AssignCompanyManager',
	N'Company manager assignment'
exec pjm5UpdateSubscriptionTypeGlobal 'ExclusionFromCompanyManager',
	N'Company manager exclusion'

/* SubscriptionType for ServiceRequest */
exec pjm5UpdateSubscriptionTypeGlobal 'ExternalOpenIssue',
	N'Exterior request opening'
exec pjm5UpdateSubscriptionTypeGlobal 'ExternalResolveIssue',
	N'Performance of a exterior request'
exec pjm5UpdateSubscriptionTypeGlobal 'ExternalPostponeIssue',
	N'Exterior request suspending'
exec pjm5UpdateSubscriptionTypeGlobal 'ExternalCloseIssue',
	N'Exterior request closing'
go

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pjm5UpdateSubscriptionTypeGlobal]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure pjm5UpdateSubscriptionTypeGlobal'
		DROP PROCEDURE [dbo].[pjm5UpdateSubscriptionTypeGlobal]
	END
GO

/*==========================================================================*/
/* Procedure:       */
/*==========================================================================*/
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pjm5UpdateNotificationMessage]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure pjm5UpdateNotificationMessage'
		DROP PROCEDURE [dbo].[pjm5UpdateNotificationMessage]
	END
GO

PRINT 'Creating procedure pjm5UpdateNotificationMessage'
GO

CREATE PROCEDURE [pjm5UpdateNotificationMessage]
	@SubscriptionCode TCode,
	@NotificationWayID TIdentifier,
	@SimpleMessageTheme TName,
	@AggregatedMessageTheme TName
AS
	DECLARE @TemplateID TIdentifier
	SELECT @TemplateID = [ID] FROM [NotificationMessageTemplate]
	WHERE [SubscriptionTypeID] = dbo.fnPjm5GetSubscriptionTypeByCode(@SubscriptionCode) AND
	[NotificationWayID] = @NotificationWayID
	IF @TemplateID IS NOT NULL
	BEGIN
		IF EXISTS (SELECT * FROM [NotificationMessageTemplateGlobal]
			WHERE [ID] = @TemplateID AND [Language] = 'en')
		BEGIN
			UPDATE [NotificationMessageTemplateGlobal]
			SET [SimpleMessageTheme] = @SimpleMessageTheme,
			[AggregatedMessagetheme] = @AggregatedMessageTheme
			WHERE [ID] = @TemplateID AND [Language] = 'en'
			IF @@ERROR != 0
			BEGIN
				RETURN 1
			END
		END
		ELSE
		BEGIN
			INSERT INTO [NotificationMessageTemplateGlobal]
			([ID], [Language], [SimpleMessageTheme], [SimpleMessageBody],
			 [AggregatedMessageTheme], [AggregatedMessageBody])
			VALUES (@TemplateID, 'en',
			@SimpleMessageTheme, null,
			@AggregatedMessageTheme, null)
			IF @@ERROR != 0
			BEGIN
				RETURN 1
			END
		END
	END
	RETURN 0
go

/* Update notification message templates for TimeEntry */
exec pjm5UpdateNotificationMessage 'SendToApproveTimeEntry', 1,
	N'Time record "{$FILEAS}" sent for approval',
	N'Sent for approval {$COUNT} of time records'
exec pjm5UpdateNotificationMessage 'SendToApproveTimeEntry', 2,
	N'Time record "{$FILEAS}" sent for approval',
	N'Sent for approval {$COUNT} of time records'
exec pjm5UpdateNotificationMessage 'SendToWorkTimeEntry', 1,
	N'Time record "{$FILEAS}" returned for improvement',
	N'{$COUNT} time records returned for impovement'
exec pjm5UpdateNotificationMessage 'SendToWorkTimeEntry', 2,
	N'Time record "{$FILEAS}" returned for improvement',
	N'{$COUNT} time records returned for impovement'
exec pjm5UpdateNotificationMessage 'DenyTimeEntry', 1,
	N'Time record "{$FILEAS}" declined',
	N'Time records declined {$COUNT}'
exec pjm5UpdateNotificationMessage 'DenyTimeEntry', 2,
	N'Time record "{$FILEAS}" declined',
	N'Time records declined {$COUNT}'

/* Update notification message templates for Expense */
exec pjm5UpdateNotificationMessage 'SendToApproveExpense', 1,
	N'Expense record "{$FILEAS}" sent for approval',
	N'Sent for approval {$COUNT} of expense records'
exec pjm5UpdateNotificationMessage 'SendToApproveExpense', 2,
	N'Expense record "{$FILEAS}" sent for approval',
	N'Sent for approval {$COUNT} of expense records'
exec pjm5UpdateNotificationMessage 'SendToWorkExpense', 1,
	N'Expense record "{$FILEAS}" returned for clarification',
	N'{$COUNT} expense records returned for clarification'
exec pjm5UpdateNotificationMessage 'SendToWorkExpense', 2,
	N'Expense record "{$FILEAS}" returned for clarification',
	N'{$COUNT} expense records returned for clarification'
exec pjm5UpdateNotificationMessage 'DenyExpense', 1,
	N'Expense record "{$FILEAS}" declined',
	N'Expense records declined {$COUNT}'
exec pjm5UpdateNotificationMessage 'DenyExpense', 2,
	N'Expense record "{$FILEAS}" declined',
	N'Expense records declined {$COUNT}'

/* Update notification message templates for Issue */
exec pjm5UpdateNotificationMessage 'OpenIssue', 1,
	N'Request opened "{$FILEAS}"',
	N'Requests opened {$COUNT}'
exec pjm5UpdateNotificationMessage 'OpenIssue', 2,
	N'Request opened "{$FILEAS}"',
	N'Requests opened {$COUNT}'
exec pjm5UpdateNotificationMessage 'ResolveIssue', 1,
	N'Request performed "{$FILEAS}"',
	N'Requests performed {$COUNT}'
exec pjm5UpdateNotificationMessage 'ResolveIssue', 2,
	N'Request performed "{$FILEAS}"',
	N'Requests performed {$COUNT}'
exec pjm5UpdateNotificationMessage 'CloseIssue', 1,
	N'Request closed "{$FILEAS}"',
	N'Requests closed {$COUNT}'
exec pjm5UpdateNotificationMessage 'CloseIssue', 2,
	N'Request closed "{$FILEAS}"',
	N'Requests closed {$COUNT}'
exec pjm5UpdateNotificationMessage 'AssignOnIssue', 1,
	N'Request assigned "{$FILEAS}"',
	N'Requests assigned {$COUNT}'
exec pjm5UpdateNotificationMessage 'AssignOnIssue', 2,
	N'Request assigned "{$FILEAS}"',
	N'Requests assigned {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExclusionFromIssue', 1,
	N'Request assignment changed "{$FILEAS}"',
	N'Request assignments changed {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExclusionFromIssue', 2,
	N'Request assignment changed "{$FILEAS}"',
	N'Request assignments changed {$COUNT}'

/* Update notification message templates for Task */
exec pjm5UpdateNotificationMessage 'ExecuteTask', 1,
	N'Performance of task started "{$FILEAS}"',
	N'Performance of tasks started {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExecuteTask', 2,
	N'Performance of task started "{$FILEAS}"',
	N'Performance of tasks started {$COUNT}'
exec pjm5UpdateNotificationMessage 'CancelTask', 1,
	N'Task "{$FILEAS}" cancelled',
	N'Tasks cancelled {$COUNT}'
exec pjm5UpdateNotificationMessage 'CancelTask', 2,
	N'Task "{$FILEAS}" cancelled',
	N'Tasks cancelled {$COUNT}'
exec pjm5UpdateNotificationMessage 'PostponeTask', 1,
	N'Task "{$FILEAS}" suspended',
	N'Tasks suspended {$COUNT}'
exec pjm5UpdateNotificationMessage 'PostponeTask', 2,
	N'Task "{$FILEAS}" suspended',
	N'Tasks suspended {$COUNT}'
exec pjm5UpdateNotificationMessage 'AssignOnTask', 1,
	N'Task assigned "{$FILEAS}"',
	N'Tasks assigned {$COUNT}'
exec pjm5UpdateNotificationMessage 'AssignOnTask', 2,
	N'Task assigned "{$FILEAS}"',
	N'Tasks assigned {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExclusionFromTask', 1,
	N'Task excluded "{$FILEAS}"',
	N'Tasks excluded {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExclusionFromTask', 2,
	N'Task excluded "{$FILEAS}"',
	N'Tasks excluded {$COUNT}'
exec pjm5UpdateNotificationMessage 'ChangePercentTask', 1,
	N'In task "{$FILEAS}" the percentage of performance was changed',
	N'Percentage of performance was changed in tasks {$COUNT}'
exec pjm5UpdateNotificationMessage 'ChangePercentTask', 2,
	N'In task "{$FILEAS}" the percentage of performance was changed',
	N'Percentage of performance was changed in tasks {$COUNT}'

/* Update notification message templates for ServiceRequest */
exec pjm5UpdateNotificationMessage 'CreateServiceRequest', 1,
	N'Order was created {$NUMBER}',
	N'Number of orders was created {$COUNT}'
exec pjm5UpdateNotificationMessage 'CreateServiceRequest', 2,
	N'Order was created {$NUMBER}',
	N'Number of orders was created {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExecuteServiceRequest', 1,
	N'Order completed {$NUMBER}',
	N'Orders completed {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExecuteServiceRequest', 2,
	N'Order completed {$NUMBER}',
	N'Orders completed {$COUNT}'
exec pjm5UpdateNotificationMessage 'PostponeServiceRequest', 1,
	N'Order {$NUMBER} suspended',
	N'Suspended orders {$COUNT}'
exec pjm5UpdateNotificationMessage 'PostponeServiceRequest', 2,
	N'Order {$NUMBER} suspended',
	N'Suspended orders {$COUNT}'
exec pjm5UpdateNotificationMessage 'AssignOnServiceRequest', 1,
	N'Order assigned {$NUMBER}',
	N'Orders assigned {$COUNT}'
exec pjm5UpdateNotificationMessage 'AssignOnServiceRequest', 2,
	N'Order assigned {$NUMBER}',
	N'Orders assigned {$COUNT}'
exec pjm5UpdateNotificationMessage 'CancelServiceRequest', 1,
	N'Order cancelled {$NUMBER}',
	N'Cancelled orders {$COUNT}'
exec pjm5UpdateNotificationMessage 'CancelServiceRequest', 2,
	N'Order cancelled {$NUMBER}',
	N'Cancelled orders {$COUNT}'
exec pjm5UpdateNotificationMessage 'ApproveServiceRequest', 1,
	N'Performance of order {$NUMBER} approved',
	N'Approved orders {$COUNT}'
exec pjm5UpdateNotificationMessage 'ApproveServiceRequest', 2,
	N'Performance of order {$NUMBER} approved',
	N'Approved orders {$COUNT}'

/* Update notification message templates for TaskRequest */
exec pjm5UpdateNotificationMessage 'CreateTaskRequest', 1,
	N'Action created "{$FILEAS}"',
	N'Created actions {$COUNT}'
exec pjm5UpdateNotificationMessage 'CreateTaskRequest', 2,
	N'Action created "{$FILEAS}"',
	N'Created actions {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExecuteTaskRequest', 1,
	N'Action performed "{$FILEAS}"',
	N'Performed actions {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExecuteTaskRequest', 2,
	N'Action performed "{$FILEAS}"',
	N'Performed actions {$COUNT}'
exec pjm5UpdateNotificationMessage 'AssignOnTaskRequest', 1,
	N'Action assigned "{$FILEAS}"',
	N'Actions assigned {$COUNT}'
exec pjm5UpdateNotificationMessage 'AssignOnTaskRequest', 2,
	N'Action assigned "{$FILEAS}"',
	N'Actions assigned {$COUNT}'
exec pjm5UpdateNotificationMessage 'CancelTaskRequest', 1,
	N'Action cancelled "{$FILEAS}"',
	N'Cancelled actions {$COUNT}'
exec pjm5UpdateNotificationMessage 'CancelTaskRequest', 2,
	N'Action cancelled "{$FILEAS}"',
	N'Cancelled actions {$COUNT}'

/* Update notification message templates for Project */
exec pjm5UpdateNotificationMessage 'AssignProjectManager', 1,
	N'You are assigned project manager "{$NUMBER}"', null
exec pjm5UpdateNotificationMessage 'AssignProjectManager', 2,
	N'You are assigned project manager "{$NUMBER}"', null
exec pjm5UpdateNotificationMessage 'ExclusionFromProjectManager', 1,
	N'You are excluded from project managers "{$NUMBER}"', null
exec pjm5UpdateNotificationMessage 'ExclusionFromProjectManager', 2,
	N'You are excluded from project managers "{$NUMBER}"', null
exec pjm5UpdateNotificationMessage 'AssignOnProject', 1,
	N'Project assigned "{$NUMBER}"', null
exec pjm5UpdateNotificationMessage 'AssignOnProject', 2,
	N'Project assigned "{$NUMBER}"', null
exec pjm5UpdateNotificationMessage 'ExclusionFromProject', 1,
	N'You are excluded from project "{$NUMBER}"', null
exec pjm5UpdateNotificationMessage 'ExclusionFromProject', 2,
	N'You are excluded from project "{$NUMBER}"', null
exec pjm5UpdateNotificationMessage 'StopProject', 1,
	N'Works in projects "{$NUMBER}" suspended',
	N'Suspended works in projects {$COUNT}'
exec pjm5UpdateNotificationMessage 'StopProject', 2,
	N'Works in projects "{$NUMBER}" suspended',
	N'Suspended works in projects {$COUNT}'
exec pjm5UpdateNotificationMessage 'OpenProject', 1,
	N'Works in project started "{$NUMBER}"',
	N'Works in projects started {$COUNT}'
exec pjm5UpdateNotificationMessage 'OpenProject', 2,
	N'Works in project started "{$NUMBER}"',
	N'Works in projects started {$COUNT}'
exec pjm5UpdateNotificationMessage 'CloseProject', 1,
	N'Project completed "{$NUMBER}"',
	N'Completed projects {$COUNT}'
exec pjm5UpdateNotificationMessage 'CloseProject', 2,
	N'Project completed "{$NUMBER}"',
	N'Completed projects {$COUNT}'

/* Update notification message templates for Invoice */
exec pjm5UpdateNotificationMessage 'AdvanceInvoice', 1,
	N'Invoice issued "{$NUMBER}"',
	N'Issued invoices {$COUNT}'
exec pjm5UpdateNotificationMessage 'AdvanceInvoice', 2,
	N'Invoice issued "{$NUMBER}"',
	N'Issued invoices {$COUNT}'
exec pjm5UpdateNotificationMessage 'PaidInvoice', 1,
	N'Invoice paid "{$NUMBER}"',
	N'Paid invoices {$COUNT}'
exec pjm5UpdateNotificationMessage 'PaidInvoice', 2,
	N'Invoice paid "{$NUMBER}"',
	N'Paid invoices {$COUNT}'
exec pjm5UpdateNotificationMessage 'CancelInvoice', 1,
	N'Invoice cancelled "{$NUMBER}"',
	N'Cancelled invoices {$COUNT}'
exec pjm5UpdateNotificationMessage 'CancelInvoice', 2,
	N'Invoice cancelled "{$NUMBER}"',
	N'Cancelled invoices {$COUNT}'
exec pjm5UpdateNotificationMessage 'RevisionInvoice', 1,
	N'Invoice returned for updating "{$NUMBER}"',
	N'Invoices returned for updating {$COUNT}'
exec pjm5UpdateNotificationMessage 'RevisionInvoice', 2,
	N'Invoice returned for updating "{$NUMBER}"',
	N'Invoices returned for updating {$COUNT}'

/* Update notification message templates for Statement */
exec pjm5UpdateNotificationMessage 'AcceptStatement', 1,
	N'Act approved "{$NUMBER}"',
	N'Approved acts {$COUNT}'
exec pjm5UpdateNotificationMessage 'AcceptStatement', 2,
	N'Act approved "{$NUMBER}"',
	N'Approved acts {$COUNT}'
exec pjm5UpdateNotificationMessage 'CancelStatement', 1,
	N'Act cancelled "{$NUMBER}"',
	N'Cancelled acts {$COUNT}'
exec pjm5UpdateNotificationMessage 'CancelStatement', 2,
	N'Act cancelled "{$NUMBER}"',
	N'Cancelled acts {$COUNT}'
exec pjm5UpdateNotificationMessage 'RevisionStatement', 1,
	N'Act returned for updating "{$NUMBER}"',
	N'Acts returned for updating {$COUNT}'
exec pjm5UpdateNotificationMessage 'RevisionStatement', 2,
	N'Act returned for updating "{$NUMBER}"',
	N'Acts returned for updating {$COUNT}'
exec pjm5UpdateNotificationMessage 'SignStatement', 1,
	N'Act signed "{$NUMBER}"',
	N'Signed acts {$COUNT}'
exec pjm5UpdateNotificationMessage 'SignStatement', 2,
	N'Act signed "{$NUMBER}"',
	N'Signed acts {$COUNT}'

/* Update notification message templates for Task */
exec pjm5UpdateNotificationMessage 'CreateTask', 1,
	N'Created task "{$FILEAS}"',
	N'Created tasks {$COUNT}'
exec pjm5UpdateNotificationMessage 'CreateTask', 2,
	N'Created task "{$FILEAS}"',
	N'Created tasks {$COUNT}'

/* Update notification message templates for TaskRequest */
exec pjm5UpdateNotificationMessage 'ExclusionFromTaskRequest', 1,
	N'Action excluded "{$FILEAS}"',
	N'Actions excluded {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExclusionFromTaskRequest', 2,
	N'Action excluded "{$FILEAS}"',
	N'Actions excluded {$COUNT}'

/* Update notification message templates for ServiceRequest */
exec pjm5UpdateNotificationMessage 'ExclusionFromServiceRequest', 1,
	N'Order excluded "{$FILEAS}"',
	N'Orders excluded {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExclusionFromServiceRequest', 2,
	N'Order excluded "{$FILEAS}"',
	N'Orders excluded {$COUNT}'

/* Update notification message templates for Company */
exec pjm5UpdateNotificationMessage 'AssignCompanyManager', 1,
	N'You are assigned manager of company "{$FILEAS}"', null
exec pjm5UpdateNotificationMessage 'AssignCompanyManager', 2,
	N'You are assigned manager of company "{$FILEAS}"', null
exec pjm5UpdateNotificationMessage 'ExclusionFromCompanyManager', 1,
	N'You are excluded from managers of company "{$FILEAS}"', null
exec pjm5UpdateNotificationMessage 'ExclusionFromCompanyManager', 2,
	N'You are excluded from managers of company "{$FILEAS}"', null

/* Update notification message templates for exterior Issue */
exec pjm5UpdateNotificationMessage 'ExternalOpenIssue', 1,
	N'Request opened "{$FILEAS}"',
	N'Requests opened {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExternalOpenIssue', 2,
	N'Request opened "{$FILEAS}"',
	N'Requests opened {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExternalResolveIssue', 1,
	N'Request performed "{$FILEAS}"',
	N'Requests performed {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExternalResolveIssue', 2,
	N'Request performed "{$FILEAS}"',
	N'Requests performed {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExternalCloseIssue', 1,
	N'Request closed "{$FILEAS}"',
	N'Requests closed {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExternalCloseIssue', 2,
	N'Request closed "{$FILEAS}"',
	N'Requests closed {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExternalPostponeIssue', 1,
	N'Request suspended "{$FILEAS}"',
	N'Requests suspended {$COUNT}'
exec pjm5UpdateNotificationMessage 'ExternalPostponeIssue', 2,
	N'Request suspended "{$FILEAS}"',
	N'Requests suspended {$COUNT}'

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pjm5UpdateNotificationMessage]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure pjm5UpdateNotificationMessage'
		DROP PROCEDURE [dbo].[pjm5UpdateNotificationMessage]
	END
GO