	/*==============================================================*/
	/*   								*/
	/*==============================================================*/
	
	IF NOT EXISTS(SELECT *FROM [ReminderType] WHERE [Subtype] = 'UR')
		INSERT INTO [ReminderType] (Subtype, Name, DefaultState, DefaultInterval, IsTimeFormat)
		VALUES('UR', ' ', 1, -600, 1)
	
	DELETE FROM [ReminderDescription]
	
	-- 
	INSERT INTO [ReminderDescription] VALUES('UR', NULL, 'ru', ' ')
	INSERT INTO [ReminderDescription] VALUES('UR', NULL, 'ru', ' ')
	INSERT INTO [ReminderDescription] VALUES('UR', NULL, 'ru', '')
	INSERT INTO [ReminderDescription] VALUES('UR', NULL, 'ru', ' ')
	INSERT INTO [ReminderDescription] VALUES('UR', NULL, 'ru', ' ')
	INSERT INTO [ReminderDescription] VALUES('UR', NULL, 'en', 'To execution')
	INSERT INTO [ReminderDescription] VALUES('UR', NULL, 'en', 'For information')
	INSERT INTO [ReminderDescription] VALUES('UR', NULL, 'en', 'Call')
	INSERT INTO [ReminderDescription] VALUES('UR', NULL, 'en', 'Send email')
	INSERT INTO [ReminderDescription] VALUES('UR', NULL, 'en', 'Execution control')

	--
	INSERT INTO [ReminderDescription] VALUES('VA', dbo.adfGetClassByName('Pjm5.Invoice'), 'ru', '    ')
	INSERT INTO [ReminderDescription] VALUES('VP', dbo.adfGetClassByName('Pjm5.Invoice'), 'ru', '    ')
	INSERT INTO [ReminderDescription] VALUES('VA', dbo.adfGetClassByName('Pjm5.Invoice'), 'en', 'To remind of the billing date')
	INSERT INTO [ReminderDescription] VALUES('VP', dbo.adfGetClassByName('Pjm5.Invoice'), 'en', 'To remind of the invoice due date')

	--
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.Statement'), 'ru', ' ')
	INSERT INTO [ReminderDescription] VALUES('MD', dbo.adfGetClassByName('Pjm5.Statement'), 'ru', '    ')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.Statement'), 'en', 'Approve statement')
	INSERT INTO [ReminderDescription] VALUES('MD', dbo.adfGetClassByName('Pjm5.Statement'), 'en', 'To remind of the term of statement return')

	--
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.Calculation'), 'ru', ' ')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.Calculation'), 'ru', '  /')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.Calculation'), 'en', 'Approve calculation')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.Calculation'), 'en', 'Include in invoice/statement')

	---
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.Facture'), 'ru', ' -')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.Facture'), 'en', 'Approve facture')

	--  
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.DocumentCard'), 'ru', ' ')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.DocumentCard'), 'ru', '  ')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.DocumentCard'), 'ru', '  ')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.DocumentCard'), 'en', 'Send to the client')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.DocumentCard'), 'en', 'Control of document return')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.DocumentCard'), 'en', 'Familiarize with the document')

	--
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.Project'), 'ru', ' ')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.Project'), 'en', 'Prepare documents')

	--
	INSERT INTO [ReminderDescription] VALUES('BC', dbo.adfGetClassByName('Pjm6.Budget'), 'ru', '   ')
	INSERT INTO [ReminderDescription] VALUES('BC', dbo.adfGetClassByName('Pjm6.Budget'), 'en', 'To remind of the budget recalculation')

	--
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Adf.Employee'), 'ru', ' ')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Adf.Employee'), 'en', 'Make an appointment')
	INSERT INTO [ReminderDescription] VALUES('CB', dbo.adfGetClassByName('Adf.Employee'), 'ru', '   ')
	INSERT INTO [ReminderDescription] VALUES('CB', dbo.adfGetClassByName('Adf.Employee'), 'en', 'Congratulate with birthday')


	--
	INSERT INTO [ReminderDescription] VALUES('MS', dbo.adfGetClassByName('Pjm5.MeetingRequest'), 'ru', '   ')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.MeetingRequest'), 'ru', '  ')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.MeetingRequest'), 'ru', '   ')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.MeetingRequest'), 'ru', '   ')
	INSERT INTO [ReminderDescription] VALUES('MS', dbo.adfGetClassByName('Pjm5.MeetingRequest'), 'en', 'To remind of the meeting beginning')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.MeetingRequest'), 'en', 'Prepare for a meeting')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.MeetingRequest'), 'en', 'Prepare documents for a meeting')
	INSERT INTO [ReminderDescription] VALUES('UR', dbo.adfGetClassByName('Pjm5.MeetingRequest'), 'en', 'Familiarize with the document for a meeting')

	--  
	INSERT INTO [ReminderDescription] VALUES('ES', dbo.adfGetClassByName('Pjm5.TimeEntry'), 'ru', '     ')
	INSERT INTO [ReminderDescription] VALUES('ES', dbo.adfGetClassByName('Pjm5.TimeEntry'), 'en', 'To remind of the time entry beginning')

	--
	INSERT INTO [ReminderDescription] VALUES('ID', dbo.adfGetClassByName('Pjm5.Issue'), 'ru', '    ')
	INSERT INTO [ReminderDescription] VALUES('ID', dbo.adfGetClassByName('Pjm5.Issue'), 'en', 'To remind of the issue due date')

	--
	INSERT INTO [ReminderDescription] VALUES('RD', dbo.adfGetClassByName('Pjm5.TaskRequest'), 'ru', '    ')
	INSERT INTO [ReminderDescription] VALUES('RD', dbo.adfGetClassByName('Pjm5.TaskRequest'), 'en', 'To remind of the task request due date')

	--
	INSERT INTO [ReminderDescription] VALUES('SD', dbo.adfGetClassByName('Pjm5.ServiceRequest'), 'ru', '    ')
	INSERT INTO [ReminderDescription] VALUES('SD', dbo.adfGetClassByName('Pjm5.ServiceRequest'), 'en', 'To remind of the service request due date')

	--
	INSERT INTO [ReminderDescription] VALUES('TD', dbo.adfGetClassByName('Pjm5.Task'), 'ru', '    ')
	INSERT INTO [ReminderDescription] VALUES('TD', dbo.adfGetClassByName('Pjm5.Task'), 'en', 'To remind of the task due date')