﻿IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[fnReportSplitPeriodOnQuartals]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnReportSplitPeriodOnQuartals'
		DROP FUNCTION [dbo].[fnReportSplitPeriodOnQuartals]
	END
GO

PRINT 'Creating function fnReportSplitPeriodOnQuartals'
GO

/******************************************************************************
**		File: fnReportSplitPeriodOnQuartals.sql
**		Name: fnReportSplitPeriodOnQuartals
**
**              
**		Return values: 
**		Разбивает период на года
**		Called by:   
**              
**		Parameters:
**		Input								Output
**      ----------							-----------
**		Дата начала периода
**		Дата конца периода
**		
**		
**		Auth: Nikita.Golyshev
**		Date: 05.12.14 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:		Description:
**		--------	--------	-------------------------------------------
*******************************************************************************/
CREATE FUNCTION fnReportSplitPeriodOnQuartals
(
	@PeriodStart date,
	@PeriodEnd date
)
RETURNS @Quartals TABLE
(
	StartDate date,
	EndDate date	
)
AS
BEGIN

	-- STUB

RETURN
END
GO