/******************************************************************************
**		Name: adfMasterKeyGet
**		Auth: pavel.svintsov
**		Date: 27.09.2011 16:00:01
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfMasterKeyGet]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure adfMasterKeyGet'
		DROP PROCEDURE [dbo].[adfMasterKeyGet]
	END
GO
PRINT 'Creating procedure adfMasterKeyGet'
GO
-------------------------------------------------------------------------------
CREATE PROCEDURE adfMasterKeyGet
AS
	DECLARE @Value TVariant
	EXEC adfParameterGet @Name='MK', @Group='Pjm7', @Value = @Value OUTPUT
	SELECT CAST(@value as nvarchar(max))
	
	RETURN 0
GO

GRANT EXECUTE ON adfMasterKeyGet TO PUBLIC
GO
 
/******************************************************************************
**		Name: adfMasterKeyGet
**		Auth: pavel.svintsov
**		Date: 27.09.2011 16:00:01
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfMasterKeySet]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure adfMasterKeySet'
		DROP PROCEDURE [dbo].[adfMasterKeySet]
	END
GO
PRINT 'Creating procedure adfMasterKeySet'
GO
-------------------------------------------------------------------------------
CREATE PROCEDURE adfMasterKeySet
	@MK TVariant
AS
	EXEC adfParameterSet 'MK', 'PJM7', @MK
	
	RETURN 0
GO

GRANT EXECUTE ON adfMasterKeySet TO PUBLIC
GO
 